package com.qmth.qrzk.repository.user.model;

import java.util.Date;

import com.qmth.qrzk.repository.utils.Consts;

/**
 * 教材实体类
 * @author 钟辉
 *
 */
public class Book {

	private Integer id;				//编号
	
	private String name;		//教材名称
	
	private String code;		//书号
			
	private String editor;		//作者
	
	private String press;		//出版社
	
	private String version;		//教材版次
	
	private Double price;		//定价(元)
	
	private Date updateDate;	//最后更新时间
	
	private Integer status;			//教材状态
	
	private Integer inCourseStatus;	//课程中的教材状态
	
	private String remark;		//备注
	
	private Integer chapterSize; //章总数
	
	private Date enableDate;	//启用时间

	private String guid;
	
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getEditor() {
		return editor;
	}

	public void setEditor(String editor) {
		this.editor = editor;
	}

	public String getPress() {
		return press;
	}

	public void setPress(String press) {
		this.press = press;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public Double getPrice() {
		return price;
	}

	public void setPrice(Double price) {
		this.price = price;
	}

	public Date getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}

	public Integer getStatus() {
		return status;
	}
	
	public String getStatusName(){
		return Consts.BookStatus.dicMap.get(status);
	}
	
	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getId() {
		return id;
	}

	public Integer getChapterSize() {
		return chapterSize;
	}

	public void setChapterSize(Integer chapterSize) {
		this.chapterSize = chapterSize;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getInCourseStatus() {
		return inCourseStatus;
	}
	
	public String getInCourseStatusName(){
		return Consts.BookInCourseStatus.dicMap.get(inCourseStatus);
	}

	public void setInCourseStatus(Integer inCourseStatus) {
		this.inCourseStatus = inCourseStatus;
	}
	
	public Date getEnableDate() {
		return enableDate;
	}
	
	public void setEnableDate(Date enableDate) {
		this.enableDate = enableDate;
	}
	
}
